# G = gausgray(N,u,s)
#	gaussian grayscale array

function G = gausgray(N,u,s)

	G = zeros(N,N);

	m = normal_pdf(u,u,s);
	
	for i=1:N
		for j=1:N
			g = rand(1)*2-1;
			while (rand(m) >= normal_pdf(g,u,s))
				g = rand(1)*2-1;
			endwhile
			G(i,j) = g;
		endfor
	endfor
endfunction
			
			
