# function [thr,n,x,envImg] = dispEraw_circular ("file-prefix",percentage)
#	returns n and x of or histogram from E an nV

function [thr,n,x,envImg] = dispEraw_circular(fprefix,p)

	eval(sprintf("load -force %s.E",fprefix));
	eval(sprintf("load -force %s.V",fprefix));

	# make E and V circular
	[r,c] = size(E);

  	rad = ceil(min(r,c)/2)-2;

	cr = floor(r/2);
	cc = floor(c/2);

	R = (1:r)'*(zeros(1,c)+1).-cr;
	C = (zeros(r,1)+1)*(1:c).-cc;

	D = sqrt(R.*R + C.*C);

	D = thresh(D,rad);

	D = sign(-D)+1;

	# adjust E and nV
	# E = E .* D;
	# V = V .* D;

	yimage(V,"hotmap");

        thr=topnpercent(V,p)

	envImg = E.*sign(thresh(V,thr));

	envImg = envImg.*D;
	yimage(envImg,"hsvmap2");

	[n,x]=hist(vec(envImg),20);

	bar(x(2:20),n(2:20));

endfunction


