# usage: df = mft(v) : discrete fourier transform of vector v
function df = mft(v)

	N = columns(v);
    	

	for n = 0 :1: (N-1)
		evec = exp(-2*pi*i*n*(0:1:(N-1))/N);
		df(n+1) = v * evec';
	endfor

endfunction


