#!/usr/bin/perl

# this measure is from Hansel and Sompolinsky 1993

$usage = <<EOF ;
coherence.pl < stdin
	output: coherence at time t
EOF

# get data

$i=0;
while (<STDIN>) {
	chop;
	@data = split(/[\s]+/,$_);
	# @squares = map($_*$_,@data);
	$A[$i] = &avg(\@data);
	print "$A[$i]\n";
}

#----------------------------------------------------------------------------
# sum : sum of a sequence
#----------------------------------------------------------------------------
sub sum {
  my ($datref) = @_;

  my $sum = 0.0;

  foreach $num (@$datref) {
	$sum += $num;
  }
 
  return $sum;

}

#----------------------------------------------------------------------------
# sub : average of a sequence
#----------------------------------------------------------------------------
sub avg {
  my ($datref) = @_;

  my $sum = 0.0;

  foreach $num (@$datref) {
	$sum += $num;
  }
 
  return $sum / ($#$datref+1);

}
